Changelog for November 4, 2025

  • POST /tasking/v2/tasks endpoint — the createTask operation now supports SFTP delivery locations. When creating a task, you can specify SFTP delivery in the deliveries parameter to have products automatically delivered to your configured SFTP location upon task completion.

    To use SFTP delivery:

    1. Call getContract to retrieve the SFTP path from your contract’s deliveryLocations array.

    2. Call listDeliveryLocationConfigs to discover the SFTP config ID (look for the entry with method: "sftp").

    3. Include the SFTP delivery in your task request using the discovered config ID and path from your contract.

      Important limitations:

  • SFTP delivery is only supported for the Tasking API. The Delivery API continues to support AWS S3 only for re-delivery of existing products.

  • SFTP delivery does not support delivery status notifications. Use the getTask operation to monitor task status instead.